Subject: bug#33280: Guix weather does not error nicely with 502 errors from hydra

From: [email-masked] (Ludovic Courtès)
Date: Tue, 06 Nov 2018 15:23:31 +0100

Hi,

Mark H Weaver <[email-masked]> skribis:

> swedebugia <[email-masked]> writes:
>
>> I did not change the default substitute-urls in 0.15
>>
>> This is probably low priority.
>>
>> sdb@komputilo ~$ guix weather
>> computing 7,850 package derivations for x86_64-linux...
>> looking for 8,167 store items on https://mirror.hydra.gnu.org...
>> guix weather: warning: while fetching
>> 'https://mirror.hydra.gnu.org/nix-cache-info': 502 ("Bad Gateway")
>> guix weather: warning: ignoring substitute server at
>> '"https://mirror.hydra.gnu.org"'
>> https://mirror.hydra.gnu.org
>>   .0% substitutes available (0 out of 8,167)
>>   unknown substitute sizes
>>   0.0 MiB on disk (uncompressed)
>>   0.000 seconds per request (2.7 seconds in total)
>>   3,081.9 requests per second
>>   (continuous integration information unavailable)
>>
>> We should omit everything after the first warning I think.
>
> At the time you wrote this, hydra.gnu.org was partially back up, but
> with several of the important daemons not yet started.  I've since
> started the daemons, so it might work now.

Also, I would argue that this behavior (printing a warning and ignoring
the faulty server) is good.  I can’t think of a better way to handle
this situation.

Thoughts?

Ludo’.